Skip to main content
PUT
Create jobs schedule

Authorizations

x-api-key
string
header
required

Path Parameters

env_id
string
required

ID of environment

flow_id
string
required

ID of flow

tenant
string
required

ID of tenant

Body

application/json
schedule_expression
string
required

cron expression defining how often sync should occur e.g. cron(0 0 * * *)

job_type
enum<string>

For v2 flows, defines the type of job. Accepts "read" or "write."

Available options:
read,
write
state
enum<string>
default:ENABLED

Whether this schedule should be DISABLED or ENABLED

Available options:
DISABLED,
ENABLED
connector_id
string

Optional specific connector or tap ID to set the schedule on

override_start_date
string<date-time>

Optional override for the start_date that jobs will run with. This will ignore state bookmarks and any start_date in the config.

override_selected_tables
object

Override the unified schema selection for this schedule

override_field_map
object

Override the field map selection for this schedule

environment_variables
object

Set optional environment variables for the job to use (generally for use in the ETL).

schedule_jitter_minutes
integer | null

Jitter window in minutes for default schedules. Only allowed when tenant is default; set to null to clear.

Required range: 1 <= x <= 720

Response

200

The response is of type object.